Bug 834400 - Patch for broken racoon on android icecrean sandwich for ipsec/l2tp
Patch for broken racoon on android icecrean sandwich for ipsec/l2tp
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openswan (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 14:39 EDT by Avesh Agarwal
Modified: 2013-06-25 21:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-25 21:49:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avesh Agarwal 2012-06-21 14:39:04 EDT
Description of problem:
Workaround for Android Ice Cream Sandwich ipsec-tools 0.8.0 bug
    
    ipsec-tools 0.8.0 mistakenly sets some NAT-OA fields that are defined
    in RFC1374 as "always zero". We define these as "ft_mbz" (Must Be Zero)
    
    This workaround changes the type to "ft_nat" (Natural number) and
    then ignores it.

Version-Release number of selected component (if applicable):
2.6.38

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora Admin XMLRPC Client 2013-03-03 11:21:36 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-04-03 13:10:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Paul Wouters 2013-05-17 14:50:23 EDT
This is fixed in libreswan, and users should be automatically upgraded from openswan to libreswan.

Note You need to log in before you can comment on or make changes to this bug.